Bug 1605905 - python-shade: FTBFS in Fedora rawhide
Summary: python-shade: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-shade
Version: 29
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
Assignee: Lars Kellogg-Stedman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS PYTHON37 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:33 UTC by Mohan Boddu
Modified: 2018-08-16 13:43 UTC (History)
4 users (show)

Fixed In Version: python-shade-1.27.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 13:30:06 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 17:33 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 17:33 UTC, Mohan Boddu
no flags Details
state.log (643 bytes, text/plain)
2018-07-20 17:33 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:33:35 UTC
python-shade failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28224838


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-shade at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-shade will be orphaned. Before branching of Fedora 30,
python-shade will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:33:44 UTC
Created attachment 1466816 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 17:33:48 UTC
Created attachment 1466817 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:33:50 UTC
Created attachment 1466818 [details]
state.log

Comment 4 Miro Hrončok 2018-07-25 09:26:44 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 5 Miro Hrončok 2018-08-06 10:22:32 UTC
This is another friendly reminder.

Please take action.

Comment 6 Miro Hrončok 2018-08-10 13:47:28 UTC
Note that I requested an approval from FESCo to retire leaf packages that still require Python 3.6 at beta freeze and their bugs are in NEW state. (This package might not necessarily be leaf at this moment, but I'm updating all the bugs in case the dependencies change in the meantime.)

More info at https://pagure.io/fesco/issue/1965

Comment 7 Miro Hrončok 2018-08-13 11:59:40 UTC
Another bulk reminder. Please take action. Your package doesn't install on Fedora 29. Fix it or retire it.

Comment 8 Jan Kurik 2018-08-14 10:27:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 9 Miro Hrončok 2018-08-16 12:31:07 UTC
Do something now! (This is the unfriendly reminder.)

Comment 10 Javier Peña 2018-08-16 13:04:30 UTC
Fixed in Rawhide by https://koji.fedoraproject.org/koji/taskinfo?taskID=29110425

Comment 11 Miro Hrončok 2018-08-16 13:19:19 UTC
A f29 rebuild is needed as well, not just f30.

Comment 12 Javier Peña 2018-08-16 13:30:06 UTC
f29 build: https://koji.fedoraproject.org/koji/taskinfo?taskID=29110969

Comment 13 Miro Hrončok 2018-08-16 13:43:01 UTC
Thanks \o/


Note You need to log in before you can comment on or make changes to this bug.